# Append script for task Install: task.install.avahi_0.8-r0 (make_install-append.sh)
# This script was imported from Yocto but may have been modified locally

	rm -rf ${installDir}/run
	rm -rf ${installDir}${datadir}/dbus-1/interfaces
	test -d ${installDir}${datadir}/dbus-1 && rmdir --ignore-fail-on-non-empty ${installDir}${datadir}/dbus-1
	rm -rf ${installDir}${libdir}/${recipe_name}

	# Move example service files out of $[sysconfdir]/$[recipe_name]/services so we don't
	# advertise ssh & sftp-ssh by default
	log_run install -d ${installDir}${datadir}/doc/${recipe_name}
	log_run mv ${installDir}${sysconfdir}/${recipe_name}/services/* ${installDir}${datadir}/doc/${recipe_name}
	log_run install -d ${installDir}${sysconfdir}/udhcpc.d
	log_run install ${workDir}/00avahi-autoipd ${installDir}${sysconfdir}/udhcpc.d
	log_run install ${workDir}/99avahi-autoipd ${installDir}${sysconfdir}/udhcpc.d
