# Append script for task Install: task.install.dbus_1.14.0-r0 (make_install-append.sh)
# This script was imported from Yocto but may have been modified locally


	if false; then
		log_run install -d ${installDir}${sysconfdir}/init.d
		sed 's:@bindir@:'"${bindir}"':' < ${workDir}/dbus-1.init >${workDir}/dbus-1.init.sh
		log_run install -m 0755 ${workDir}/dbus-1.init.sh ${installDir}${sysconfdir}/init.d/dbus-1
		log_run install -d ${installDir}${sysconfdir}/default/volatiles
		echo "d messagebus messagebus 0755 ${runstatedir}/${recipe_name} none" \
		     > ${installDir}${sysconfdir}/default/volatiles/99_dbus
	fi

	if true; then
		for i in dbus.target.wants sockets.target.wants multi-user.target.wants; do \
			log_run install -d ${installDir}${base_libdir}/systemd/system/$i; done
		log_run install -m 0644 ${buildDir}/bus/dbus.service ${buildDir}/bus/dbus.socket ${installDir}${base_libdir}/systemd/system
		log_run ln -fs ../dbus.socket ${installDir}${base_libdir}/systemd/system/dbus.target.wants/dbus.socket
		log_run ln -fs ../dbus.socket ${installDir}${base_libdir}/systemd/system/sockets.target.wants/dbus.socket
		log_run ln -fs ../dbus.service ${installDir}${base_libdir}/systemd/system/multi-user.target.wants/dbus.service
	fi


	log_run mkdir -p ${installDir}${localstatedir}${base_libdir}/${recipe_name}

	log_run chown messagebus:messagebus ${installDir}${localstatedir}${base_libdir}/${recipe_name}

	log_run chown root:messagebus ${installDir}${libexecdir}/dbus-daemon-launch-helper
	log_run chmod 4755 ${installDir}${libexecdir}/dbus-daemon-launch-helper

	# Remove Red Hat initscript
	rm -rf ${installDir}${sysconfdir}/rc.d

	# Remove empty testexec directory as we don't build tests
	rm -rf ${installDir}${libdir}/dbus-1.0/test

	# Remove $[runstatedir] as it is created on startup
	rm -rf ${installDir}${runstatedir}
