#!/bin/bash
# Script to install a prebuilt package

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

do_buildstep_prepend

log_run install -d ${installDir}${datadir}/aclocal
log_run cp ${buildDir}/aclocal/*.m4 ${installDir}${datadir}/aclocal
log_run install -d ${installDir}${datadir}/gettext/po
log_run cp ${buildDir}/config.rpath ${installDir}${datadir}/gettext
log_run cp ${buildDir}/Makefile.in.in ${installDir}${datadir}/gettext/po
log_run cp ${buildDir}/remove-potcdate.sin ${installDir}${datadir}/gettext/po

do_buildstep_append