# Append script for task Install: task.install.libxml2-native_2.9.14-r0 (make_install-append.sh)
# This script was imported from Yocto but may have been modified locally

	rm -rf ${installDir}${NATIVE_SYSROOT_LOC}/v${AR}/lib/scrollkeeper/*
	rm -rf ${installDir}${NATIVE_SYSROOT_LOC}/v${AR}/scrollkeeper/*
	rm -f ${installDir}${datadir}/applications/*.cache
	for x in ${bindir}/xml2-config; do
		# Make the disabled script emit invalid parameters for those configure
		# scripts which call it without checking the return code.
		echo "#!/bin/sh" > ${installDir}$x
		echo "echo 'ERROR: $x should not be used, use an alternative such as pkg-config' >&2" >> ${installDir}$x
		echo "echo '--should-not-have-used-$x'" >> ${installDir}$x
		echo "exit 1" >> ${installDir}$x
		log_run chmod +x ${installDir}$x
	done
	# Docs are not needed in the native case
	rm ${installDir}${datadir}/gtk-doc -rf
	
#
# Shell function binconfig_disabled_sysroot_preprocess
#
	for x in ${bindir}/xml2-config; do
		configname=`basename $x`
		log_run install -d ${installDir}${bindir}/crossscripts
		log_run install ${installDir}$x ${installDir}${bindir}/crossscripts
	done
