# Prepend script for task Populate Sysroot: task.populate-sysroot.docbook-xsl-stylesheets-native_1.79.1-r0 (populate_sysroot-prepend.sh)"
# This script was imported from Yocto but may have been modified locally"

#
# Shell function xmlcatalog_sstate_postinst
#
	log_run mkdir -p ${bindir}
	dest=${bindir}/postinst-docbook-xsl-stylesheets-native-xmlcatalog
	echo '#!/bin/sh' > $dest
	echo '	ROOTCATALOG="'"${sysconfdir}"'/xml/catalog"
	if [ ! -f $ROOTCATALOG ]; then
		mkdir --parents $(dirname $ROOTCATALOG)
		xmlcatalog --noout --create $ROOTCATALOG
	fi
	for CATALOG in '"${datadir}"'/xml/docbook/xsl-stylesheets-1.79.1/catalog.xml; do
		xmlcatalog --noout --add nextCatalog unused file://$CATALOG $ROOTCATALOG
	done
' >> $dest
	log_run chmod 0755 $dest
	
	log_exec ${bindir}/postinst-docbook-xsl-stylesheets-native-xmlcatalog
	
	sed -i "s|${installDir}|${SYSROOT_LOC}|g" ${sysconfdir}/xml/catalog