#!/bin/bash
#
# Recipe-specific step for task Install: task.install.ninja-native_1.10.2-r0 (make_install.sh)
#
# This script was imported from Yocto but may have been modified locally
#

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

function local_do_make_install() {
	log_run install -D -m 0755  ${buildDir}/${recipe_base_name} ${installDir}${bindir}/${recipe_base_name}
}

do_buildstep_prepend

local_do_make_install

do_buildstep_append

