# Prepend script for task Populate Sysroot: task.populate-sysroot.perl-native_5.34.1-r0 (populate_sysroot-prepend.sh)"
# This script was imported from Yocto but may have been modified locally"

#
# Shell function perl_sysroot_create_wrapper
#
       log_run mkdir -p ${bindir}
       # Create a wrapper that /usr/bin/env $[recipe_base_name] will use to get perl-native.
       # This MUST live in the normal bindir.
       cat > ${bindir}/nativeperl << EOF
realpath=\`readlink -fn \$0\`
exec \`dirname \$realpath\`/${recipe_name}/${recipe_base_name} "\$@"
EOF
       log_run chmod 0755 ${bindir}/nativeperl
       log_run cat ${bindir}/nativeperl
