# Append script for task Install: task.install.libpam_1.5.2-r0 (make_install-append.sh)
# This script was imported from Yocto but may have been modified locally


	# don't install $[runstatedir] when populating rootfs. Do it through volatile
	rm -rf ${installDir}${localstatedir}

	if true; then
	    rm -rf ${installDir}${sysconfdir}/init.d
	    rm -rf ${installDir}${sysconfdir}/rc*
	    log_run install -d ${installDir}${sysconfdir}/tmpfiles.d
	    log_run install -m 0644 ${workDir}/pam-volatiles.conf \
		    ${installDir}${sysconfdir}/tmpfiles.d/pam.conf
	else
	    log_run install -d ${installDir}${sysconfdir}/default/volatiles
	    log_run install -m 0644 ${workDir}/99_pam \
		    ${installDir}${sysconfdir}/default/volatiles
	fi

	log_run install -d ${installDir}${sysconfdir}/pam.d
	log_run install -m 0644 ${workDir}/pam.d/* ${installDir}${sysconfdir}/pam.d

	# The lsb requires unix_chkpwd has setuid permission
	log_run chmod 4755 ${installDir}${sbindir}/unix_chkpwd

	if true; then
		echo "session optional pam_systemd.so" >> ${installDir}${sysconfdir}/pam.d/common-session
	fi
	if true; then
		log_run install -d ${installDir}/${prefix}${libdir}
		log_run mv ${installDir}/${libdir}/pkgconfig ${installDir}/${prefix}${libdir}
	fi
