#!/bin/bash
#
# Recipe-specific step for task Compile: task.compile.unzip-native_6.0-r5 (make_all.sh)
#
# This script was imported from Yocto but may have been modified locally
#

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

function local_do_make_all() {
	log_run make -f unix/Makefile generic
}

do_buildstep_prepend

local_do_make_all

do_buildstep_append

