# Append script for task Install: task.install.gdk-pixbuf-native_2.42.9-r0 (meson-install-append.sh)
# This script was imported from Yocto but may have been modified locally

	# Copy gdk-pixbuf-query-loaders into libdir so it is always available
	# in multilib builds.
	log_run cp ${installDir}/${bindir}/gdk-pixbuf-query-loaders ${installDir}/${libdir}/gdk-pixbuf-2.0

	find ${installDir}${libdir} -name "libpixbufloader-*.la" -exec rm \{\} \;

	create_wrapper ${installDir}/${bindir}/gdk-pixbuf-csource \
		XDG_DATA_DIRS=${datadir} \
		GDK_PIXBUF_MODULE_FILE=${libdir}/gdk-pixbuf-2.0/2.10.0/loaders.cache

	create_wrapper ${installDir}/${bindir}/gdk-pixbuf-pixdata \
		XDG_DATA_DIRS=${datadir} \
		GDK_PIXBUF_MODULE_FILE=${libdir}/gdk-pixbuf-2.0/2.10.0/loaders.cache

	create_wrapper ${installDir}/${bindir}/gdk-pixbuf-print-mime-types \
		XDG_DATA_DIRS=${datadir} \
		GDK_PIXBUF_MODULE_FILE=${libdir}/gdk-pixbuf-2.0/2.10.0/loaders.cache

	create_wrapper ${installDir}/${libdir}/gdk-pixbuf-2.0/gdk-pixbuf-query-loaders \
		XDG_DATA_DIRS=${datadir} \
		GDK_PIXBUF_MODULE_FILE=${libdir}/gdk-pixbuf-2.0/2.10.0/loaders.cache \
		GDK_PIXBUF_MODULEDIR=${libdir}/gdk-pixbuf-2.0/2.10.0/loaders

	create_wrapper ${installDir}/${bindir}/gdk-pixbuf-query-loaders \
		XDG_DATA_DIRS=${datadir} \
		GDK_PIXBUF_MODULE_FILE=${libdir}/gdk-pixbuf-2.0/2.10.0/loaders.cache \
		GDK_PIXBUF_MODULEDIR=${libdir}/gdk-pixbuf-2.0/2.10.0/loaders
