# Prepend script for task Configure: task.configure.gobject-introspection-native_1.72.0-r0 (meson-configure-prepend.sh)
# This script was imported from Yocto but may have been modified locally

	# Tweak the native python scripts so that they don't refer to the
	# full path of native python binary (the solution is taken from glib-2.0 recipe)
	# This removes the risk of exceeding Linux kernel's shebang line limit (128 bytes)
	sed -i -e '1s,#!.*,#!/usr/bin/env python3,' ${srcDir}/tools/g-ir-tool-template.in
	# Need to use ||true as this is only needed if configure.ac both exists
	# and uses GTK_DOC_CHECK.
	gtkdocize --srcdir ${srcDir} --docdir ${srcDir} || true
