#!/bin/bash
#
# Recipe-specific step for task Install: task.install.ttf-ubuntu-font-family_0.83-r1 (make_install.sh)
#
# This script was imported from Yocto but may have been modified locally
#

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

function local_do_install() {
    log_run install -d ${installDir}${datadir}/fonts/truetype
    find . -name '*.tt[cf]' -exec install -m 0644 {} ${installDir}${datadir}/fonts/truetype \;
}

do_buildstep_prepend

local_do_install

do_buildstep_append

