# Append script for task Install: task.install.kmod_29-r0 (make_install-append.sh)
# This script was imported from Yocto but may have been modified locally

	log_run install -dm755 ${installDir}${bindir}
	log_run install -dm755 ${installDir}${sbindir}
	# add symlinks to $[recipe_name]
	log_run ln -rs ${installDir}${bindir}/${recipe_name} ${installDir}${bindir}/lsmod
	for tool in insmod rmmod depmod modinfo modprobe; do
		log_run ln -rs ${installDir}${bindir}/${recipe_name} ${installDir}${sbindir}/$tool
	done
	# configuration directories
	log_run install -dm755 ${installDir}${base_libdir}/depmod.d
	log_run install -dm755 ${installDir}${base_libdir}/modprobe.d
	log_run install -dm755 ${installDir}${sysconfdir}/depmod.d
	log_run install -dm755 ${installDir}${sysconfdir}/modprobe.d

	# install depmod.d file for search dir
	log_run install -Dm644 "${workDir}/depmod-search.conf" "${installDir}${base_libdir}/depmod.d/search.conf"

	# Add .debug to the exclude path for depmod
	echo "exclude .debug" > ${installDir}${base_libdir}/depmod.d/exclude.conf
