# Prepend script for task Package: task.package.gnutls_3.6.4-r0 (package-prepend.sh)"
# This script was imported from Yocto but may have been modified locally"

#
# Shell function binconfig_package_preprocess
#
	for config in `find ${workDir}/package -type f -name '*-config'`; do
		sed -i \
		    -e 's:'"${TARGET_SYSROOT_LOC}""${base_libdir}"':'"${base_libdir}"':g;' \
		    -e 's:'"${TARGET_SYSROOT_LOC}""${libdir}"':'"${libdir}"':g;' \
		    -e 's:'"${TARGET_SYSROOT_LOC}""${includedir}"':'"${includedir}"':g;' \
		    -e 's:'"${TARGET_SYSROOT_LOC}""${datadir}"':'"${datadir}"':' \
		    -e 's:'"${TARGET_SYSROOT_LOC}""${prefix}"':'"${prefix}"':' \
		    $config
	done
	for lafile in `find ${workDir}/package -type f -name "*.la"` ; do
		sed -i \
		    -e 's:'"${TARGET_SYSROOT_LOC}""${base_libdir}"':'"${base_libdir}"':g;' \
		    -e 's:'"${TARGET_SYSROOT_LOC}""${libdir}"':'"${libdir}"':g;' \
		    -e 's:'"${TARGET_SYSROOT_LOC}""${includedir}"':'"${includedir}"':g;' \
		    -e 's:'"${TARGET_SYSROOT_LOC}""${datadir}"':'"${datadir}"':' \
		    -e 's:'"${TARGET_SYSROOT_LOC}""${prefix}"':'"${prefix}"':' \
		    $lafile
	done
