#!/bin/bash
#
# Recipe-specific step for task Install: task.install.alsa-ucm-conf_1.2.6.3-r0 (make_install.sh)
#
# This script was imported from Yocto but may have been modified locally
#

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

function local_do_install() {
	log_run install -d "${installDir}${datadir}/alsa"
	log_run cp -r "${buildDir}/ucm" "${installDir}${datadir}/alsa"
	log_run cp -r "${buildDir}/ucm2" "${installDir}${datadir}/alsa"
	
	log_run mv "${installDir}${datadir}/alsa/ucm2/NXP/iMX8/Librem_5_Devkit/Librem 5 Devkit.conf" "${installDir}${datadir}/alsa/ucm2/NXP/iMX8/Librem_5_Devkit/Librem_5_Devkit.conf"
}

do_buildstep_prepend

local_do_install

do_buildstep_append

