#!/bin/bash
#
# Recipe-specific step for task Configure: task.configure.ffmpeg_5.0.1-r0 (configure.sh)
#
# This script was imported from Yocto but may have been modified locally
#

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

function local_do_configure() {
    ${srcDir}/configure               --cross-prefix=${configure_host_alias}-         --ld="${CC}"     --cc="${CC}"     --cxx="${CXX}"     --arch=arm     --target-os='linux'     --enable-cross-compile     --extra-cflags=' -O2 -pipe -g -feliminate-unused-debug-types -fmacro-prefix-map='"${workDir}"'='"${prefix}"'/src/debug/'"${recipe_name}"'/5.0.1-r0                      -fdebug-prefix-map='"${workDir}"'='"${prefix}"'/src/debug/'"${recipe_name}"'/5.0.1-r0                      -fdebug-prefix-map='"${TARGET_SYSROOT_LOC}"'=                      -fdebug-prefix-map='"${NATIVE_SYSROOT_LOC}"'=   -mthumb -mfpu=neon-vfpv4 -mfloat-abi=hard -mcpu=cortex-a7 --sysroot='"${TARGET_SYSROOT_LOC}"     --extra-ldflags='-Wl,-O1 -Wl,--hash-style=gnu -Wl,--as-needed -fmacro-prefix-map='"${workDir}"'='"${prefix}"'/src/debug/'"${recipe_name}"'/5.0.1-r0                      -fdebug-prefix-map='"${workDir}"'='"${prefix}"'/src/debug/'"${recipe_name}"'/5.0.1-r0                      -fdebug-prefix-map='"${TARGET_SYSROOT_LOC}"'=                      -fdebug-prefix-map='"${NATIVE_SYSROOT_LOC}"'= '     --sysroot="${TARGET_SYSROOT_LOC}"     $EXTRA_FFCONF     --libdir=${libdir}     --shlibdir=${libdir}     --datadir=${datadir}     --cpu=cortex-a7     --pkg-config=pkg-config      --disable-static  --enable-alsa --disable-altivec --enable-avcodec --enable-avdevice --enable-avfilter --enable-avformat --enable-bzlib --disable-libfdk-aac --disable-gpl --disable-libgsm --disable-indev=jack --disable-libopus --disable-libvorbis --enable-lzma --disable-libmfx --disable-mipsdsp --disable-mipsdspr2 --disable-libmp3lame --disable-openssl --enable-pic --enable-postproc --enable-pthreads --disable-sdl2 --enable-shared --disable-libspeex --disable-libsrt --disable-stripping --enable-swresample --enable-swscale --enable-libtheora --disable-vaapi --disable-vdpau --disable-libvpx --disable-libx264 --disable-libx265 --disable-libxcb --disable-outdev=xv --enable-zlib
}

do_buildstep_prepend

local_do_configure

do_buildstep_append

