# Append script for task Install: task.install.pulseaudio_15.0-r0 (meson-install-append.sh)
# This script was imported from Yocto but may have been modified locally

	log_run install -d ${installDir}${sysconfdir}/default/volatiles
	log_run install -m 0644 ${workDir}/volatiles.04_pulse  ${installDir}${sysconfdir}/default/volatiles/04_pulse
    log_run install -d ${installDir}${sysconfdir}/profile.d
    log_run install -m 0644 ${workDir}/pulse_profile.sh ${installDir}${sysconfdir}/profile.d
    if [ -e "${workDir}/default.pa" ]; then
	log_run install -m 0644 ${workDir}/default.pa ${installDir}/${sysconfdir}/pulse/default.pa
    fi

    if [ -e "${workDir}/system.pa" ]; then
	log_run install -m 0644 ${workDir}/system.pa ${installDir}/${sysconfdir}/pulse/system.pa
    fi

    if [ -f ${installDir}${datadir}/${recipe_name}/alsa-mixer/paths/analog-output-speaker.conf ];
    then
	sed -i "s|^priority = .*\$|priority = 88|g" ${installDir}${datadir}/${recipe_name}/alsa-mixer/paths/analog-output-speaker.conf
    fi
