#!/bin/bash
#
# Recipe-specific step for task Install: task.install.python3-installer-native_0.5.1-r0 (make_install.sh)
#
# This script was imported from Yocto but may have been modified locally
#

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

python_pep517_do_bootstrap_install() {
    log_run install -d ${installDir}${libdir}/python3.10/site-packages
    unzip -d ${installDir}${libdir}/python3.10/site-packages ${workDir}/*.whl
}


function local_do_make_install() {
    python_pep517_do_bootstrap_install
}

do_buildstep_prepend

local_do_make_install

do_buildstep_append

