#!/bin/bash
#
# Recipe-specific step for task Compile: task.compile.libcap_2.65-r0 (make_all.sh)
#
# This script was imported from Yocto but may have been modified locally
#

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

function local_do_make_all() {
	unset CFLAGS BUILD_CFLAGS
	do_make \
		 PAM_CAP=yes \
		AR="${AR}" \
		CC="${CC}" \
		RANLIB="${configure_host_alias}-gcc-ranlib" \
		OBJCOPY="${configure_host_alias}-objcopy" \
		COPTS=" -O2 -pipe -g -feliminate-unused-debug-types -fmacro-prefix-map=${workDir}=${prefix}/src/debug/${recipe_name}/2.65-r0                      -fdebug-prefix-map=${workDir}=${prefix}/src/debug/${recipe_name}/2.65-r0                      -fdebug-prefix-map=${TARGET_SYSROOT_LOC}=                      -fdebug-prefix-map=${NATIVE_SYSROOT_LOC}= " \
		BUILD_COPTS="-isystem${NATIVE_SYSROOT_LOC}${includedir} -O2 -pipe"
}

do_buildstep_prepend

local_do_make_all

do_buildstep_append

