#!/bin/bash
# Generic buildstep script

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

function local_cmake_do_compile() {
	declare -a other_options
	mapfile -t other_options < <( split_in_words "$make_other_flags" )
	local target=${cmake_default_compile_target:-all}
	log_exec cmake --build ${buildDir} --target ${target} -- "${other_options[@]}" "$@"
}

do_buildstep_prepend

local_cmake_do_compile

do_buildstep_append
