# Append script for task Install: task.install.libusb-compat_0.1.7-r0 (make_install-append.sh)
# This script was imported from Yocto but may have been modified locally

	for x in ${bindir}/libusb-config; do
		# Make the disabled script emit invalid parameters for those configure
		# scripts which call it without checking the return code.
		echo "#!${base_bindir}/sh" > ${installDir}$x
		echo "echo 'ERROR: $x should not be used, use an alternative such as pkg-config' >&2" >> ${installDir}$x
		echo "echo '--should-not-have-used-$x'" >> ${installDir}$x
		echo "exit 1" >> ${installDir}$x
		log_run chmod +x ${installDir}$x
	done
	log_run install -d ${installDir}${prefix}${libdir}
	if [ ! ${installDir}${prefix}${libdir} -ef ${installDir}${libdir} ]; then
		log_run mv ${installDir}${libdir}/pkgconfig ${installDir}${prefix}${libdir}
	fi
