# Prepend script for task Populate Sysroot: task.populate-sysroot.base-passwd_3.5.29-r0 (populate_sysroot-prepend.sh)"
# This script was imported from Yocto but may have been modified locally"

#
# Shell function base_passwd_tweaksysroot
#
	log_run mkdir -p ${SYSROOT_LOC}${bindir}
	dest=${SYSROOT_LOC}${bindir}/postinst-base-passwd
	echo "#!${base_bindir}/sh

log_run install -d -m 755 ${TARGET_SYSROOT_LOC}${sysconfdir}
for i in passwd group; do
	log_run install -p -m 644 ${TARGET_SYSROOT_LOC}${datadir}/${recipe_name}/\$i.master \
		${TARGET_SYSROOT_LOC}${sysconfdir}/\$i
done

for script in ${TARGET_SYSROOT_LOC}${bindir}/postinst-useradd-*; do
	if [ -f \$script ]; then
		\$script
	fi
done
" > $dest
	log_run chmod 0755 $dest
