# Append script for task Install: task.install.glib-2.0_2.72.3-r0 (meson-install-append.sh)
# This script was imported from Yocto but may have been modified locally

	if [ -f ${installDir}${bindir}/gtester-report ]; then
		sed ${installDir}${bindir}/gtester-report -i -e '1s|^#!.*|#!'"${bindir}"'/env python3|'
	fi

	# Remove some unpackaged files
	rm -rf ${installDir}${datadir}/${recipe_name}/codegen/__pycache__
	rm -f ${installDir}${datadir}/${recipe_name}/codegen/*.pyc
	rm -f ${installDir}${datadir}/${recipe_name}/codegen/*.pyo

	if [ -e ${installDir}${libdir}/charset.alias ]; then
		rm -f ${installDir}${libdir}/charset.alias
	fi

	# Make sure gio-querymodules is unique among multilibs
	if test "x" != "x"; then
		log_run mv ${installDir}${libexecdir}/gio-querymodules ${installDir}${libexecdir}/gio-querymodules
	fi
	# Autotools does this, meson does not
	log_run mkdir -p ${installDir}${libdir}/gio/modules
	# Tests are only installed on targets, not native builds.  Separating this out
	# keeps glib-2.0-native from depending on DISTRO_FEATURES
	if [ -f ${installDir}${datadir}/installed-tests/glib/gdbus-serialization.test ]; then
		if true; then
			rm ${installDir}${datadir}/installed-tests/glib/gdbus-serialization.test
		fi
	fi
	if [ -f ${installDir}${datadir}/installed-tests/glib/static-link.test ]; then
	if test "x" != "x"; then
		log_run mv ${installDir}${datadir}/installed-tests/glib/static-link.test ${installDir}${datadir}/installed-tests/glib/static-link.test
	fi
	fi
