#!/bin/bash
# Script to install a prebuilt package

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

if [ "$SRC_NAME" = "empty" ]; then
	exit 0
fi

do_buildstep_prepend

log_run install -d ${installDir}${bindir}
log_run install -m 0755 ${buildDir}/systemctl ${installDir}${bindir}

do_buildstep_append