#!/bin/bash
# Generic buildstep script

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

python_pep517_do_compile() {
    log_run mkdir -p ${S}/dist
    cd ${S}
    log_run nativepython3 -c "import setuptools.build_meta as api; api.build_wheel('${S}/dist')"
}


function local_do_compile() {
    python_pep517_do_compile
}

do_buildstep_prepend

local_do_compile

do_buildstep_append
