#!/bin/bash
#
# Recipe-specific step for task Compile: task.compile.ninja-native_1.10.2-r0 (make_all.sh)
#
# This script was imported from Yocto but may have been modified locally
#

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

function local_do_make_all() {
	log_run python3 ./configure.py --bootstrap
}

do_buildstep_prepend

local_do_make_all

do_buildstep_append

