#!/bin/bash
#
# Recipe-specific step for task Install: task.install.perlcross-native_1.3.7-r0 (make_install.sh)
#
# This script was imported from Yocto but may have been modified locally
#

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

function local_do_make_install() {
    log_run mkdir -p ${installDir}/${datadir}/perl-cross
    log_run cp -rf ${buildDir}/* ${installDir}/${datadir}/perl-cross
    rm -rf ${installDir}/${datadir}/perl-cross/patches
}

do_buildstep_prepend

local_do_make_install

do_buildstep_append

