# Append script for task Install: task.install.bash_5.1.16-r0 (make_install-append.sh)
# This script was imported from Yocto but may have been modified locally

	# Move $[bindir]/$[recipe_name] to $[base_bindir]/bash, if need
	if [ "${base_bindir}" != "${bindir}" ]; then
		log_run mkdir -p ${installDir}${base_bindir}
		log_run mv ${installDir}${bindir}/${recipe_name} ${installDir}${base_bindir}
	fi
	# Clean buildhost references in bashbug
	sed -i -e "s,--sysroot=${TARGET_SYSROOT_LOC},,g" \
		-e "s,-I${workDir}/\S* ,,g" \
		-e 's|-fmacro-prefix-map='"${workDir}"'='"${prefix}"'/src/debug/'"${recipe_name}"'/5.1.16-r0                      -fdebug-prefix-map='"${workDir}"'='"${prefix}"'/src/debug/'"${recipe_name}"'/5.1.16-r0                      -fdebug-prefix-map='"${TARGET_SYSROOT_LOC}"'=                      -fdebug-prefix-map='"${NATIVE_SYSROOT_LOC}"'= ||g' \
		${installDir}${bindir}/bashbug

	# Clean buildhost references in bash.pc
	sed -i -e "s,--sysroot=${TARGET_SYSROOT_LOC},,g" \
	     ${installDir}${libdir}/pkgconfig/bash.pc

	# Clean buildhost references in Makefile.inc
	sed -i -e "s,--sysroot=${TARGET_SYSROOT_LOC},,g" \
		-e 's|-fmacro-prefix-map='"${workDir}"'='"${prefix}"'/src/debug/'"${recipe_name}"'/5.1.16-r0                      -fdebug-prefix-map='"${workDir}"'='"${prefix}"'/src/debug/'"${recipe_name}"'/5.1.16-r0                      -fdebug-prefix-map='"${TARGET_SYSROOT_LOC}"'=                      -fdebug-prefix-map='"${NATIVE_SYSROOT_LOC}"'= ||g' \
		-e 's:'"${HOSTTOOLS_DIR}"'::g' \
		-e 's:/home/tang/Yocto/st/openstlinux-5.15-yocto-kirkstone-mp1-v22.11.23/build-openstlinuxweston-stm32mp15-eval/tmp-glibc/work/cortexa7t2hf-neon-vfpv4-ostl-linux-gnueabi::g' \
		${installDir}${libdir}/${recipe_name}/Makefile.inc
