# Append script for task Install: task.install.iptables_1.8.7-r0 (make_install-append.sh)
# This script was imported from Yocto but may have been modified locally

    log_run install -d ${installDir}${sysconfdir}/${recipe_name}
    log_run install -m 0644 ${workDir}/iptables.rules ${installDir}${sysconfdir}/${recipe_name}

    log_run install -d ${installDir}${base_libdir}/systemd/system
    log_run install -m 0644 ${workDir}/iptables.service ${installDir}${base_libdir}/systemd/system

    sed -i \
	-e 's,@SBINDIR@,'"${sbindir}"',g' \
	-e 's,@RULESDIR@,'"${sysconfdir}"'/iptables,g' \
	${installDir}${base_libdir}/systemd/system/iptables.service

    if true ; then
	log_run install -m 0644 ${workDir}/ip6tables.rules ${installDir}${sysconfdir}/${recipe_name}
	log_run install -m 0644 ${workDir}/ip6tables.service ${installDir}${base_libdir}/systemd/system

	sed -i \
	    -e 's,@SBINDIR@,'"${sbindir}"',g' \
	    -e 's,@RULESDIR@,'"${sysconfdir}"'/iptables,g' \
	    ${installDir}${base_libdir}/systemd/system/ip6tables.service
    fi

    # if libnftnl is included, make the $[recipe_name] symlink point to the nft-based binary by default
    if false ; then
	log_run ln -sf ${sbindir}/xtables-nft-multi ${installDir}${sbindir}/${recipe_name}
    fi
