#
# Dyamically create all pam-plugins
#
local file name pattern_name
for file in $installDir$libdir/security/*.so; do
	if [ ! -r $file ]; then continue; fi
	name=$(basename $file .so)
	file="$libdir/security/$name.so"
	plugin=${name#pam_}
	pattern_name=pattern_pam_plugin_$plugin
	if [ -z "${!pattern_name}" ]; then
		eval $pattern_name="$file"
	else
		eval $pattern_name="'${!pattern_name} $file'"
	fi
	eval "DESCRIPTION_pam_plugin_$plugin='PAM plugin for $name'"
	eval "RPROVIDES_pam_plugin_$plugin='pam-plugin-$plugin'"
	if ! [[ " $splitted_packages " =~ " pam-plugin-$plugin " ]]; then
		splitted_packages="$splitted_packages pam-plugin-$plugin"
	fi
done

#
# Similarly creates the pam-filters
#
for file in $installDir$libdir/security/pam_filter/*; do
	if [ ! -r $file ]; then continue; fi
	name=$(basename $file)
	file="$libdir/security/pam_filter/$name"
	pattern_name=pattern_pam_filter_$name
	if [ -z "${!pattern_name}" ]; then
		eval $pattern_name="$file"
	else
		eval $pattern_name="'${!pattern_name} $file'"
	fi
	eval "DESCRIPTION_pam_filter_$name='PAM filter for $name'"
	if ! [[ " $splitted_packages " =~ " pam-filter-$name " ]]; then
		splitted_packages="$splitted_packages pam-filter-$name"
	fi
done
