#!/bin/bash
#
# Recipe-specific step for task Install: task.install.shadow-sysroot_4.6-r3 (make_install.sh)
#
# This script was imported from Yocto but may have been modified locally
#

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

function local_do_install() {
	log_run install -d ${installDir}${sysconfdir}
	log_run install -p -m 644 ${buildDir}/login.defs_shadow-sysroot ${installDir}${sysconfdir}/login.defs
}

do_buildstep_prepend

local_do_install

do_buildstep_append

