#!/bin/bash
#
# Recipe-specific step for task Install: task.install.unzip-native_6.0-r5 (make_install.sh)
#
# This script was imported from Yocto but may have been modified locally
#

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

function local_do_make_install() {
	log_run make -f unix/Makefile install prefix=${installDir}${prefix}
	log_run install -d ${installDir}${mandir}
	log_run mv ${installDir}${prefix}/man/* ${installDir}${mandir}
	rmdir ${installDir}${prefix}/man
}

do_buildstep_prepend

local_do_make_install

do_buildstep_append

