#!/bin/bash
#
# Recipe-specific step for task Compile: task.compile.zstd-native_1.5.2-r0 (make_all.sh)
#
# This script was imported from Yocto but may have been modified locally
#

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

function local_do_make_all() {
    do_make  HAVE_LZ4=0 HAVE_LZMA=0 HAVE_ZLIB=0 ZSTD_LEGACY_SUPPORT=4
    do_make  HAVE_LZ4=0 HAVE_LZMA=0 HAVE_ZLIB=0 ZSTD_LEGACY_SUPPORT=4 -C contrib/pzstd
}

do_buildstep_prepend

local_do_make_all

do_buildstep_append

