# Append script for task Install: task.install.gobject-introspection_1.72.0-r0 (meson-install-append.sh)
# This script was imported from Yocto but may have been modified locally

	log_run install -d ${installDir}${bindir}
	log_run install ${buildDir}/g-ir-scanner-qemuwrapper ${installDir}${bindir}
	log_run install ${buildDir}/g-ir-scanner-wrapper ${installDir}${bindir}
	log_run install ${buildDir}/g-ir-compiler-wrapper ${installDir}${bindir}
	log_run install ${buildDir}/g-ir-scanner-lddwrapper ${installDir}${bindir}

	
#
# Shell function gi_binaries_sysroot_preprocess
#
	# Tweak the binary names in the introspection pkgconfig file, so that it
	# picks up our wrappers which do the cross-compile and qemu magic.
	sed -i \
	   -e "s|g_ir_scanner=.*|g_ir_scanner=${bindir}/g-ir-scanner-wrapper|" \
	   -e "s|g_ir_compiler=.*|g_ir_compiler=${bindir}/g-ir-compiler-wrapper|" \
	   ${installDir}${libdir}/pkgconfig/gobject-introspection-1.0.pc