# Append script for task Install: task.install.gtk-doc-native_1.33.2-r0 (make_install-append.sh)
# This script was imported from Yocto but may have been modified locally

	rm -rf ${installDir}${NATIVE_SYSROOT_LOC}/v${AR}/lib/scrollkeeper/*
	rm -rf ${installDir}${NATIVE_SYSROOT_LOC}/v${AR}/scrollkeeper/*
	rm -f ${installDir}${datadir}/applications/*.cache
    # configure values for python3 and pkg-config encoded in scripts
    for fn in ${bindir}/gtkdoc-depscan \
	${bindir}/gtkdoc-mkhtml2 \
	${datadir}/${recipe_base_name}/python/gtkdoc/config_data.py \
	${datadir}/${recipe_base_name}/python/gtkdoc/config.py; do
	sed -e 's,'"${bindir}"'/pkg-config,'"${bindir}"'/pkg-config,' \
	    -e 's,'"${HOSTTOOLS_DIR}"'/python3,'"${bindir}"'/python3,' \
	    -e '1s|^#!.*|#!/usr/bin/env python3|' \
	    -i ${installDir}$fn
    done

    # Patch the $[recipe_base_name] makefiles so that the qemu wrapper is used to run transient binaries
	# instead of libtool wrapper or running them directly
	sed -i \
	   -e "s|GTKDOC_RUN =.*|GTKDOC_RUN = \$(top_builddir)/gtkdoc-qemuwrapper|" \
	   ${installDir}/${datadir}/${recipe_base_name}/data/gtk-doc*make