# Append script for task Configure: task.configure.libgphoto2_2.5.27-r0 (configure-append.sh)
# This script was imported from Yocto but may have been modified locally

    log_run cp ${NATIVE_SYSROOT_LOC}${datadir}/gettext/po/Makefile.in.in ${srcDir}/libgphoto2_port/po
    cd ${srcDir}/libgphoto2_port
    autoreconf -Wcross --verbose --install --force --exclude=autopoint --exclude=gtkdocize $acpaths

    # remove WORKDIR information from config to improve reproducibility
    # libgphoto2_port recheck config will set the WORKDIR info again, so dont do that
    sed -i 's'$(echo ${workDir} | sed 's_/_\\/_g')'/../g' ${buildDir}/config.h
    sed -i 's'$(echo ${workDir} | sed 's_/_\\/_g')'/../g' ${buildDir}/libgphoto2_port/config.status
    sed -i '/config\.status s/\-\-recheck/' ${buildDir}/libgphoto2_port/Makefile
    cd ${srcDir}
