#!/bin/bash
#
# Recipe-specific step for task Install: task.install.ttf-dejavu_2.37-r7 (make_install.sh)
#
# This script was imported from Yocto but may have been modified locally
#

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

function local_do_install() {
    log_run install -d ${installDir}${datadir}/fonts/truetype
    find . -name '*.tt[cf]' -exec install -m 0644 {} ${installDir}${datadir}/fonts/truetype \;
    log_run install -d ${installDir}${sysconfdir}/fonts/conf.d
    log_run install -m 0644 ${workDir}/30-dejavu-aliases.conf ${installDir}${sysconfdir}/fonts/conf.d
}

do_buildstep_prepend

local_do_install

do_buildstep_append

