# Append script for task Install: task.install.weston_10.0.2-r0 (meson-install-append.sh)
# This script was imported from Yocto but may have been modified locally

	# Weston doesn't need the .la files to load modules, so wipe them
	rm -f ${installDir}/${libdir}/libweston-10/*.la

	# If X11, ship a desktop file to launch it
	if [ "" ]; then
		log_run install -d ${installDir}${datadir}/applications
		log_run install ${workDir}/weston.desktop ${installDir}${datadir}/applications

		log_run install -d ${installDir}${datadir}/icons/hicolor/48x48/apps
		log_run install ${workDir}/weston.png ${installDir}${datadir}/icons/hicolor/48x48/apps
	fi

	if [ "no" = "yes" ]; then
		log_run install -Dm 644 ${workDir}/xwayland.weston-start ${installDir}${datadir}/weston-start/xwayland
	fi

	if [ "yes" = "yes" ]; then
		log_run install -Dm 644 ${workDir}/systemd-notify.weston-start ${installDir}${datadir}/weston-start/systemd-notify
	fi

	if [ "yes" = "yes" ]; then
		log_run chmod u+s ${installDir}${bindir}/weston-launch
	fi
