#!/bin/bash
#
# Recipe-specific step for task Install: task.install.cryptodev-linux_1.12-r0 (make_install.sh)
#
# This script was imported from Yocto but may have been modified locally
#

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

function local_do_make_install() {
	log_run install -D ${buildDir}/crypto/cryptodev.h ${installDir}${includedir}/crypto/cryptodev.h
}

do_buildstep_prepend

local_do_make_install

do_buildstep_append

