# Prepend script for task Populate Sysroot: task.populate-sysroot.gnutls_3.6.4-r0 (populate_sysroot-prepend.sh)"
# This script was imported from Yocto but may have been modified locally"

#
# Shell function binconfig_sysroot_preprocess
#
	for config in `find ${srcDir} -type f -name '*-config'` `find ${buildDir} -type f -name '*-config'`; do
		configname=`basename $config`
		log_run install -d ${SYSROOT_LOC}${bindir}/crossscripts
		sed -e '' -e 's:=\(\"\?\)'"${base_libdir}"':=\1OEBASELIBDIR:;' -e 's:=\(\"\?\)'"${libdir}"':=\1OELIBDIR:;' -e 's:=\(\"\?\)'"${includedir}"':=\1OEINCDIR:;' -e 's:=\(\"\?\)'"${datadir}"':=\1OEDATADIR:' -e 's:=\(\"\?\)'"${prefix}"':=\1OEPREFIX:' -e 's:=\(\"\?\)'"${prefix}"':=\1OEEXECPREFIX:' -e 's:-L'"${libdir}"':-LOELIBDIR:;' -e 's:-I'"${includedir}"':-IOEINCDIR:;' -e 's:-L'"${workDir}"':-LOELIBDIR:' -e 's:-I'"${workDir}"':-IOEINCDIR:' -e 's:OEBASELIBDIR:'"${TARGET_SYSROOT_LOC}""${base_libdir}"':;' -e 's:OELIBDIR:'"${TARGET_SYSROOT_LOC}""${libdir}"':;' -e 's:OEINCDIR:'"${TARGET_SYSROOT_LOC}""${includedir}"':;' -e 's:OEDATADIR:'"${TARGET_SYSROOT_LOC}""${datadir}"':' -e 's:OEPREFIX:'"${TARGET_SYSROOT_LOC}""${prefix}"':' -e 's:OEEXECPREFIX:'"${TARGET_SYSROOT_LOC}""${prefix}"':' $config > ${SYSROOT_LOC}${bindir}/crossscripts/$configname
		log_run chmod u+x ${SYSROOT_LOC}${bindir}/crossscripts/$configname
	done
