# Append script for task Install: task.install.rng-tools_6.15-r0 (make_install-append.sh)
# This script was imported from Yocto but may have been modified locally

    log_run install -Dm 0644 ${workDir}/default ${installDir}${sysconfdir}/default/${recipe_name}
    log_run install -Dm 0755 ${workDir}/init ${installDir}${sysconfdir}/init.d/${recipe_name}
    log_run install -Dm 0644 ${workDir}/rngd.service \
		     ${installDir}${base_libdir}/systemd/system/rngd.service
    sed -i \
	-e 's,@SYSCONFDIR@,'"${sysconfdir}"',g' \
	-e 's,@SBINDIR@,'"${sbindir}"',g' \
	${installDir}${sysconfdir}/init.d/${recipe_name} \
	${installDir}${base_libdir}/systemd/system/rngd.service

    if [ "no" = "yes" ]; then
	sed -i \
	    -e '/^IPAddressDeny=any/d' \
	    -e '/^RestrictAddressFamilies= s/$ AF_INET AF_INET6' \
	    ${installDir}${base_libdir}/systemd/system/rngd.service
    fi
