#!/bin/bash
# Generic buildstep script

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

python_pep517_do_compile() {
    cd ${S}
    log_run nativepython3 -c "import flit_core.buildapi as api; api.build_wheel('${S}')"
}


function local_do_compile() {
    python_pep517_do_compile
}

do_buildstep_prepend

local_do_compile

do_buildstep_append
