#!/bin/bash
# Generic buildstep script

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

function local_do_compile() {
##	export LDSHARED="$CCLD -shared"
	PEP517_WHEEL_PATH="${buildDir}/dist"
	export STAGING_INCDIR=${SYSROOT_LOC}${includedir}
	export STAGING_LIBDIR=${SYSROOT_LOC}${libdir}
	NO_FETCH_BUILD=1
	log_exec $NATIVE_SYSROOT_LOC/usr/bin/python3-native/python3 setup.py \
	         bdist_wheel --verbose --dist-dir ${PEP517_WHEEL_PATH} ${distutils_build_other_flags}
}

do_buildstep_prepend

local_do_compile

do_buildstep_append
