#!/bin/bash
# Generic buildstep script

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi


function cmake_do_compile() {
	export STAGING_INCDIR
	export STAGING_LIBDIR
    #eval ${DESTDIR:+DESTDIR=${installDir} } \
    log_exec DESTDIR=${installDir} VERBOSE=1 cmake --build ${buildDir} --target all
}


do_buildstep_prepend

cmake_do_compile

do_buildstep_append
