# Append script for task Install: task.install.icu_70.1-r0 (make_install-append.sh)
# This script was imported from Yocto but may have been modified locally

    # The native pkgdata can not generate the correct data file.
    # Use icupkg to re-generate it.
    if [ "$HOST_ENDIANNESS" = "be" ] ; then
	rm -f ${installDir}/${datadir}/${recipe_name}/${recipe_version}/icudt70b.dat
	icupkg -tb ${srcDir}/data/in/icudt70l.dat ${installDir}/${datadir}/${recipe_name}/${recipe_version}/icudt70b.dat
    fi

	# Remove build host references...
	sed -i  \
	    -e 's,--sysroot='"${TARGET_SYSROOT_LOC}"',,g' \
	    -e 's|-fmacro-prefix-map='"${workDir}"'='"${prefix}"'/src/debug/'"${recipe_name}"'/70.1-r0                      -fdebug-prefix-map='"${workDir}"'='"${prefix}"'/src/debug/'"${recipe_name}"'/70.1-r0                      -fdebug-prefix-map='"${TARGET_SYSROOT_LOC}"'=                      -fdebug-prefix-map='"${NATIVE_SYSROOT_LOC}"'= ||g' \
	    -e 's:'"${HOSTTOOLS_DIR}"'::g' \
	    ${installDir}/${bindir}/icu-config ${installDir}/${libdir}/${recipe_name}/${recipe_version}/Makefile.inc \
	    ${installDir}/${libdir}/${recipe_name}/${recipe_version}/pkgdata.inc
