# Append script for task Install: task.install.libxslt-native_1.1.35-r0 (make_install-append.sh)
# This script was imported from Yocto but may have been modified locally

	for x in ${bindir}/xslt-config; do
		# Make the disabled script emit invalid parameters for those configure
		# scripts which call it without checking the return code.
		echo "#!/bin/sh" > ${installDir}$x
		echo "echo 'ERROR: $x should not be used, use an alternative such as pkg-config' >&2" >> ${installDir}$x
		echo "echo '--should-not-have-used-$x'" >> ${installDir}$x
		echo "exit 1" >> ${installDir}$x
		log_run chmod +x ${installDir}$x
	done
    create_wrapper ${installDir}/${bindir}/xsltproc XML_CATALOG_FILES=${sysconfdir}/xml/catalog
   create_multilib_header ${recipe_base_name}/xsltconfig.h

#
# Shell function binconfig_disabled_sysroot_preprocess
#
	for x in ${bindir}/xslt-config; do
		configname=`basename $x`
		log_run install -d ${installDir}${bindir}/crossscripts
		log_run install ${installDir}$x ${installDir}${bindir}/crossscripts
	done